Subject: Re: bug#60510: 30.0.50; [PATCH] Do not put pointer on first menu item in no-toolkit build

From: Po Lu <[email-masked]>
Date: Tue, 03 Jan 2023 21:24:06 +0800

Manuel Giraud <[email-masked]> writes:

> Hi,
>
> In no-toolkit build, when a menu appears the mouse pointer is on the
> first menu entry by default.  This means that a quick mouse
> click/release will select this first entry.  This patch, let the pointer
> on the menu title by default.  It seems to me to be a better default
> compared to what lucid build does for instance.  WDYT?

No, please don't, I object very strongly to changing behavior,
especially that which has been in the XMenu library since the beginning
of time.

In general, it is not the role of Emacs to dictate what its toolkit or
menu library does.  That part of oldXMenu should never be changed, at
least until we decide to write a new no-toolkit menu library.

Thanks.